summaryrefslogtreecommitdiffstats
path: root/testsuites/rubbos/rubbos_scripts/1-1-1/scripts/env_preparation.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuites/rubbos/rubbos_scripts/1-1-1/scripts/env_preparation.sh')
-rwxr-xr-xtestsuites/rubbos/rubbos_scripts/1-1-1/scripts/env_preparation.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/testsuites/rubbos/rubbos_scripts/1-1-1/scripts/env_preparation.sh b/testsuites/rubbos/rubbos_scripts/1-1-1/scripts/env_preparation.sh
new file mode 100755
index 00000000..6ecf4832
--- /dev/null
+++ b/testsuites/rubbos/rubbos_scripts/1-1-1/scripts/env_preparation.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+###############################################################################
+# Copyright (c) 2015 Huawei Tech.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -ex
+
+RELENG_REPO=https://gerrit.opnfv.org/gerrit/releng
+RELENG_REPO_DIR=/tmp/opnfvrepo/releng
+#RELENG_BRANCH=master # branch, tag, sha1 or refspec
+
+INSTALLER_TYPE=fuel
+INSTALLER_IP=10.20.0.2
+
+NODE_NAME=opnfv-jump-2
+EXTERNAL_NET=net04_ext
+
+echo "INFO: Creating openstack credentials .."
+
+if [ -d $RELENG_REPO_DIR ]; then
+ rm -rf ${RELENG_REPO_DIR}
+fi
+mkdir -p ${RELENG_REPO_DIR}
+git config --global http.sslVerify false
+git clone ${RELENG_REPO} ${RELENG_REPO_DIR}
+
+# Create openstack credentials
+$RELENG_REPO_DIR/utils/fetch_os_creds.sh \
+ -d /tmp/openrc \
+ -i ${INSTALLER_TYPE} -a ${INSTALLER_IP}
+
+source /tmp/openrc
+
+# FIXME: Temporary OPNFV playground hack
+if [ "$INSTALLER_TYPE" == "fuel" ]; then
+ ssh_opts="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
+ if sshpass -p r00tme ssh 2>/dev/null $ssh_opts root@${INSTALLER_IP} \
+ fuel environment --env 1 | grep opnfv-virt; then
+ echo "INFO: applying OPNFV playground hack"
+ export OS_ENDPOINT_TYPE='publicURL'
+ fi
+fi
+
+export EXTERNAL_NET INSTALLER_TYPE NODE_NAME
+set +ex